Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# BusinessConnectionHandler

class telegram.ext.BusinessConnectionHandler(callback, user_id=None, username=None, block=True)

  Bases: `telegram.ext.BaseHandler`

  Handler class to handle Telegram `Business Connections`.

  Available In

  `telegram.ext.Application.handlers`

  Added in version 21.1.

  Parameters:

    - callback (coroutine function) –

      The callback function for this handler. Will be called when `check_update()` has determined that an update should be processed by this handler. Callback signature:

          async def callback(update: Update, context: CallbackContext)

    - user_id (`int` | Collection[`int`], optional) – Filters requests to allow only those which are from the specified user ID(s).

    - username (`str` | Collection[`str`], optional) – Filters requests to allow only those which are from the specified username(s).

    - block (`bool`, optional) –

      Determines whether the return value of the callback should be awaited before processing the next handler in `telegram.ext.Application.process_update()`. Defaults to `True`.

      See also

      Concurrency

  callback

    The callback function for this handler.

    Type:

      coroutine function

  block

    Determines whether the return value of the callback should be awaited before processing the next handler in `telegram.ext.Application.process_update()`.

    Type:

      `bool`

  check_update(update)

    Determines whether an update should be passed to this handler’s `callback`.

    Parameters:

      update (`telegram.Update` | `object`) – Incoming update.

    Returns:

      `bool`